Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        ProgressBar1.Minimum = 0
        ProgressBar1.Maximum = ListBox1.Items.Count
        ProgressBar1.Style = ProgressBarStyle.Blocks
        Timer1.Enabled = True
    End Sub

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        If ListBox1.Items.Count <> 0 Then
            ListBox2.Items.Add(ListBox1.Items.Item(0))
            ListBox1.Items.RemoveAt(0)
            ProgressBar1.Value = ProgressBar1.Value + 1
            Label1.Text = CInt(ProgressBar1.Value * 100 / ProgressBar1.Maximum) & " %"
        Else
            Timer1.Enabled = False
        End If
    End Sub
End Class
